import * as React from 'react';
export interface ContextMenuProps {
    menu: React.ReactNode;
}
export interface ContextMenuState {
}
export declare class ContextMenu extends React.Component<ContextMenuProps, ContextMenuState> {
    private elementContainer;
    private elementTarget;
    private elementContextMenu;
    constructor(props: ContextMenuProps);
    componentDidMount(): void;
    shouldComponentUpdate(nextProps: Readonly<ContextMenuProps>, nextState: Readonly<ContextMenuState>, nextContext: any): boolean;
    componentWillUnmount(): void;
    componentDidCatch(error: Error, errorInfo: React.ErrorInfo): void;
    handleContextMenuOnTarget: (e: React.MouseEvent<HTMLDivElement, MouseEvent>) => void;
    handleContextMenuOnWindow: (e: MouseEvent) => void;
    handleClickOnWindow: (e: MouseEvent) => void;
    openContextMenu: (e: MouseEvent) => void;
    closeContextMenu: () => void;
    render(): JSX.Element;
}
